{% extends 'base.jinja' %}

{% block title %} Uma plataforma para negros {% endblock %}

{% from 'components/menu.jinja' import menu_component %}

{% block menu %} 
  {{ menu_component('index')  }}
{% endblock %}

{% block content %} 

  <section class="uk-section" id="welcome">
    <div class="uk-container uk-container-xlarge">
      <div uk-grid class="uk-child-width-1-1@m uk-text-center">
        <div class="uk-light">
          <img uk-png src="/img/logo.png" alt="" width="250">
          <h1 class="uk-text-uppercase uk-title"> <span class="uk-text-rose">@Desenvolvedores</span>.Negros</h1>
          <p class="uk-text-large uk-subtitle">Quando os negros se unirem, os brancos e os chineses também o farão. <br />Mas é preciso que os negros façam isso primeiro.</p>
          <p class="uk-text-large">- Bob Marley</p>
        </div>
      </div>
    </div>
  </section>

<section class="uk-section courses">
  <div class="uk-container uk-container-xlarge">
    <div class="uk-child-width-1-4@m uk-grid-match uk-grid-large" uk-grid>
      {% for course in courses %}
        <div>
          <a class="uk-display-block uk-link-toggle uk-card uk-card-secondary uk-card-body uk-text-center"
            href="/assistir/curso/{{ course.slug }}">
              <img 
                src="{{ course.criador_avatar }}" 
                class="uk-border-circle" 
                alt="{{ course.criador }}" 
                width="80" 
                height="80" />
              <p>{{ course.criador }}</p>
            <h1 class="uk-card-title">{{ course.titulo }}</h1>
          </a>
        </div>
        {% endfor %}
    </div>
  </div>
</section>


{% endblock %}